% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fortify-data-frame-.R
\name{fortify_data_frame}
\alias{fortify_data_frame}
\title{Build a data frame}
\usage{
fortify_data_frame(data, ..., data_arg = NULL, call = NULL)
}
\arguments{
\item{data}{An object to be converted to a data frame.}

\item{...}{Arguments passed to methods.}

\item{data_arg}{The argument name for \code{data}. Developers can use it to
improve messages. Not used by the user.}

\item{call}{The execution environment where \code{data} and other arguments for
the method are collected. Developers can use it to improve messages. Not
used by the user.}
}
\value{
A data frame.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#stable}{\figure{lifecycle-stable.svg}{options: alt='[Stable]'}}}{\strong{[Stable]}}

This function converts various objects to a data frame.
}
\section{\code{fortify_data_frame} method collections}{

\itemize{
\item \code{\link[=fortify_data_frame.phylo]{fortify_data_frame.phylo()}}
\item \code{\link[=fortify_data_frame.default]{fortify_data_frame.default()}}
\item \code{\link[=fortify_data_frame.character]{fortify_data_frame.character()}}
\item \code{\link[=fortify_data_frame.matrix]{fortify_data_frame.matrix()}}
\item \code{\link[=fortify_data_frame.dendrogram]{fortify_data_frame.dendrogram()}}
}
}

