% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ggalign-package.R
\docType{package}
\name{ggalign-package}
\alias{ggalign-package}
\title{ggalign: A 'ggplot2' Extension for Consistent Axis Alignment}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

A 'ggplot2' extension offers various tools the creation of complex, multi-plot visualizations. Built on the familiar grammar of graphics, it provides intuitive tools to align and organize plots, making it ideal for complex visualizations. It excels in multi-omics research—such as genomics and microbiomes—by simplifying the visualization of intricate relationships between datasets, for example, linking genes to pathways. Whether you need to stack plots, arrange them around a central figure, or use a circular layout, 'ggalign' delivers flexibility and accuracy with minimal effort.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/Yunuuuu/ggalign}
  \item \url{https://yunuuuu.github.io/ggalign/}
  \item Report bugs at \url{https://github.com/Yunuuuu/ggalign/issues}
}

}
\author{
\strong{Maintainer}: Yun Peng \email{yunyunp96@163.com} (\href{https://orcid.org/0000-0003-2801-3332}{ORCID})

Authors:
\itemize{
  \item Shixiang Wang \email{w_shixiang@163.com} (\href{https://orcid.org/0000-0001-9855-7357}{ORCID})
}

Other contributors:
\itemize{
  \item Guangchuang Yu \email{guangchuangyu@gmail.com} (\href{https://orcid.org/0000-0002-6485-8781}{ORCID}) [thesis advisor]
}

}
\keyword{internal}
